# CUpti_PCSamplingEnableParams Struct Reference
[CUPTI PC Sampling API]

Params for cuptiPCSamplingEnable.

## Data Fields

CUcontext | ctx
void * | pPriv
size_t | size

## Field Documentation

CUcontext CUpti_PCSamplingEnableParams::ctx

[w] CUcontext

void* CUpti_PCSamplingEnableParams::pPriv

[w] Assign to NULL

size_t CUpti_PCSamplingEnableParams::size

[w] Size of the data structure i.e. CUpti_PCSamplingEnableParamsSize CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.